com.threerings.whirled.data

## Interface Scene

All Known Implementing Classes:
  SceneImpl, StageScene

    public interface Scene

This interface makes available basic scene information. At this basic level, not much information is available, but extensions to this interface begin to create a more comprehensive picture of a scene in a system built from the Whirled services.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getId()` Returns the unique identifier for this scene.
`String` `getName()` Returns the human readable name of this scene.
`com.threerings.crowd.data.PlaceConfig` `getPlaceConfig()` Returns the place config that can be used to determine which place controller instance should be used to display this scene as well as to obtain runtime configuration information.
`SceneModel` `getSceneModel()` Returns the scene model from which this scene was created.
`int` `getVersion()` Returns the version number of this scene.
`void` `setId(int sceneId)` Sets this scene's unique identifier.
`void` `setName(String name)` Sets the human readable name of this scene.
`void` `setVersion(int version)` Sets this scene's version number.
`void` `updateReceived(SceneUpdate update)` Called to inform the scene that an update has been received while the scene was resolved and active.

### Method Detail

#### getId

    int getId()

Returns the unique identifier for this scene.

#### getName

    String getName()

Returns the human readable name of this scene.

#### getVersion

    int getVersion()

Returns the version number of this scene.

#### getPlaceConfig

    com.threerings.crowd.data.PlaceConfig getPlaceConfig()

Returns the place config that can be used to determine which place controller instance should be used to display this scene as well as to obtain runtime configuration information.

#### setId

    void setId(int sceneId)

Sets this scene's unique identifier.

#### setName

    void setName(String name)

Sets the human readable name of this scene.

#### setVersion

    void setVersion(int version)

Sets this scene's version number.

#### updateReceived

    void updateReceived(SceneUpdate update)

Called to inform the scene that an update has been received while the scene was resolved and active. The update should be applied to the underlying scene model and any derivative data should be appropriately updated.

#### getSceneModel

    SceneModel getSceneModel()

Returns the scene model from which this scene was created.